## RygelImageItem

RygelImageItem — Represents an image item.

## Functions

#define | RYGEL_TYPE_IMAGE_ITEM
RygelImageItem * | rygel_image_item_new ()

## Properties

gint | color-depth | Read / Write
gint | height | Read / Write
GeeArrayList * | thumbnails | Read / Write
gint | width | Read / Write

## Types and Values

#define | RYGEL_IMAGE_ITEM_UPNP_CLASS
struct | RygelImageItem
struct | RygelImageItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelImageItem
                    ╰── RygelPhotoItem

## Implemented Interfaces

RygelImageItem implements RygelVisualItem.

## Description

## Functions

### RYGEL_TYPE_IMAGE_ITEM

    #define RYGEL_TYPE_IMAGE_ITEM (rygel_image_item_get_type ())

The type for RygelImageItem.

### rygel_image_item_new ()

    RygelImageItem *
    rygel_image_item_new (const gchar *id,
                          RygelMediaContainer *parent,
                          const gchar *title,
                          const gchar *upnp_class);

#### Parameters

id |  |
parent |  |
title |  |
upnp_class |  |

## Types and Values

### RYGEL_IMAGE_ITEM_UPNP_CLASS

    #define RYGEL_IMAGE_ITEM_UPNP_CLASS "object.item.imageItem"

### struct RygelImageItem

    struct RygelImageItem;

Represents an image item.

### struct RygelImageItemClass

    struct RygelImageItemClass {
    	RygelMediaItemClass parent_class;
    };

The class structure for `RYGEL_TYPE_IMAGE_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members

RygelMediaItemClass `parent_class`; | the parent class structure |

## Property Details

### The `“color-depth”` property

      “color-depth”              gint

color-depth.

Flags: Read / Write

Default value: -1

### The `“height”` property

      “height”                   gint

height.

Flags: Read / Write

Default value: -1

### The `“thumbnails”` property

      “thumbnails”               GeeArrayList *

thumbnails.

Flags: Read / Write

### The `“width”` property

      “width”                    gint

width.

Flags: Read / Write

Default value: -1